.elementor embed,
.elementor iframe,
.elementor object,
.elementor video {
    border: none;
    line-height: 1;
    margin: 0 auto;
    max-width: 100%;
    width: revert-layer;
}

/* ----------------------------------- */

.wrapper {
    --color-primary: #3C6034;
    width: 100%;
    margin: 0 auto;
}
.page-error {
    text-align: center;
    min-height: 50vh;
    display: flex;
    align-items: center;
}
.btn-backward {
    display: inline-block;
    margin-top: 3rem;
    padding: 1rem 3rem;
    border-radius: calc(1em + 1rem);
    background: var(--color-primary);
    color: #fff !important;
    text-transform: uppercase;
}

/* ----------------------------------- */

.x-head-hotline {
    display: flex;
    grid-column-gap: 15px;
    align-items: center;
}

.x-banner {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-blend-mode: soft-light;
}

.x-footer::before {
    --display: flex;
    --flex-direction: column;
    --container-widget-width: 100%;
    --container-widget-height: initial;
    --container-widget-flex-grow: 0;
    --container-widget-align-self: initial;
    --flex-wrap-mobile: wrap;
    --gap: 72px 72px;
    --row-gap: 72px;
    --column-gap: 72px;
    --overlay-opacity: 0.15;
    --margin-top: 104px;
    --margin-bottom: 0px;
    --margin-left: 0px;
    --margin-right: 0px;
    --padding-top: 104px;
    --padding-bottom: 104px;
    --padding-left: 0px;
    --padding-right: 0px;
    --background-overlay: '';

    -webkit-mask-image: url("../asset/ornament-curly.png");
    -webkit-mask-size: 60%;
    -webkit-mask-position: top right;
    -webkit-mask-repeat: no-repeat;

    background-color: var( --e-global-color-1833f96 );
    border-block-end-width: var(--border-block-end-width);
    border-block-start-width: var(--border-block-start-width);
    border-color: var(--border-color);
    border-inline-end-width: var(--border-inline-end-width);
    border-inline-start-width: var(--border-inline-start-width);
    border-radius: var(--border-radius);
    border-style: var(--border-style);
    content: var(--background-overlay);
    display: block;
    height: max(100% + var(--border-top-width) + var(--border-bottom-width),100%);
    left: calc(0px - var(--border-left-width));
    mix-blend-mode: var(--overlay-mix-blend-mode);
    opacity: var(--overlay-opacity);
    position: absolute;
    top: calc(0px - var(--border-top-width));
    transition: var(--overlay-transition,.3s);
    width: max(100% + var(--border-left-width) + var(--border-right-width),100%);
}

.x-body {
    margin-bottom: 100px
}
.x-summary {
    max-width: 80%;
    margin: 0 auto;
    font-size: 1.2em;
    font-weight: 500;
}
.x-content {
    max-width: 80%;
    margin: 0 auto;
}

/*.x-gallery {*/
/*    column-count: 3;*/
/*    column-gap: 10px;*/
/*}*/
/*.x-gallery img:not(:first-child) {*/
/*    margin-top: 10px*/
/*}*/

.x-gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
}
.x-gallery img {
    aspect-ratio: 3/2;
    object-fit: cover;
}

.x-collection {
    padding-top: 20px;
    border-top: thin dashed #d9d9d9
}
.x-collection + .x-collection {
    margin-top: 60px;
}
.x-collection-title {
    margin-top: 0;
}
.x-collection-subtitle {
    max-width: 60%;
}
.x-collection-photos {
    margin-top: 30px;
}

.x-paging {
    --paging-size: 50px;
    margin-top: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 15px;
}
.x-paging a {
    display: grid;
    place-items: center;
    width: var(--paging-size);
    height: var(--paging-size);
    border-radius: 50%;
    background: #EBEFEB;
    color: #3C6034;
    font-size: 1.2em;
    font-weight: 500;
}
.x-paging a.active {
    background: #3C6034;
    color: #EBEFEB;
}

.x-other {
    border-top: 5px solid #E6E6E6;
    padding-top: 40px;
    margin-top: 50px;
}

/* ----------------------------------- */

@media (max-width: 767px) {
    .x-footer::before {
        -webkit-mask-size: 140%;
    }
    .x-summary {
        max-width: 90%;
    }
    .x-content {
        max-width: 100%;
    }

    /*.x-gallery {*/
    /*    column-count: 2;*/
    /*    column-gap: 5px;*/
    /*}*/
    /*.x-gallery img:not(:first-child) {*/
    /*    margin-top: 5px*/
    /*}*/

    .x-gallery {
        grid-template-columns: repeat(2, 1fr);
    }

    .x-collection-subtitle {
        max-width: 90%;
    }
}